## ros-indigo-eusgazebo 0.1.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eusgazebo)

find_package(catkin REQUIRED COMPONENTS message_generation gazebo_msgs rostest roseus)

catkin_package(CATKIN_DEPENDS message_runtime gazebo_msgs roseus)

## Install ##
install(DIRECTORY euslisp test scripts samples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

## Testing ##
add_rostest(test/test-fall-arrow-object-simulation.launch)

=== debian/changelog ===
ros-indigo-eusgazebo (0.1.12-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 10 Jan 2017 15:00:00 -0000

ros-indigo-eusgazebo (0.1.11-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 29 Aug 2016 15:00:00 -0000

ros-indigo-eusgazebo (0.1.10-0trusty) trusty; urgency=high

  * Remove rosbuild related files
  * rename .test -> .launch in order to avoid test after installation
  * Contributors: MasakiMurooka, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 15:00:00 -0000

ros-indigo-eusgazebo (0.1.9-0trusty) trusty; urgency=high

  * [eusgazebo] Add roseus to dependency
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-eusgazebo (0.1.8-0trusty) trusty; urgency=high

  * fix CHANGELOG order, https://github.com/ros/rosdistro/pull/6794

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-eusgazebo (0.1.7-0trusty) trusty; urgency=high

  * add trajectory_msgs
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-eusgazebo (0.1.6-0trusty) trusty; urgency=high

  * update CHANGELOG.rst
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-eusgazebo (0.1.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Oct 2014 15:00:00 -0000

ros-indigo-eusgazebo (0.1.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Oct 2014 15:00:00 -0000

ros-indigo-eusgazebo (0.1.2-0trusty) trusty; urgency=high

  * add gazebo_ros, gazebo_msgs, and gazebo_plugins to dependency of hrpsys_gazebo_general, eusgaebo.
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Oct 2014 15:00:00 -0000

ros-indigo-eusgazebo (0.1.1-0trusty) trusty; urgency=high

  * fixed minor bug to read static argument
  * add option for displaying gazebo viewer
  * added eusgazebo/test
  * added eusgazebo/samples
  * added eusgazebo/euslisp core files.
  * add eusgazebo package directory
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 25 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-eusgazebo
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-collada-urdf-jsk-patch, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-message-generation, ros-indigo-roseus
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-eusgazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-collada-urdf-jsk-patch, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-message-runtime, ros-indigo-roseus
Description: The eusgazebo package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-eusgazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
